Skip to main content
GET
Get all targets in a workspace

Headers

X-Workspace-Id
string

Workspace ID

Query Parameters

page
number
Example:

1

limit
number
Example:

10

sortBy
string
Example:

"createdAt"

sortOrder
string
Example:

"DESC"

value
string
type
enum<string>

Filter by target type (DOMAIN, CIDR, or IP) The type of target (DOMAIN, CIDR, or IP)

Available options:
DOMAIN,
CIDR,
IP
status
enum<string>

Filter by scan status (pending, in_progress, completed, failed, cancelled)

Available options:
pending,
in_progress,
completed,
failed,
cancelled,
skipped
scope
enum<string>

Filter by target scope (INTERNAL or EXTERNAL)

Available options:
INTERNAL,
EXTERNAL

Response

200 - application/json
data
object[]
required
total
number
required
page
number
required
limit
number
required
hasNextPage
boolean
required
pageCount
number
required